Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#51 12-10-2017 01:18:11

Gedeon54
Membre
Distrib. : Handylinux 2.5 sous Debian 9 (Stretch)
Noyau : 4.9.0-3-amd64
(G)UI : XFCE + Gnome Shell
Inscription : 13-05-2017

Re : Les paquets cassés de VLC [RESOLU]

Hélas.. En principe.!!  sauf que les lignes de mes "dépôts multimédia.org" ont été précédés d'un # et que cela n'a strictement rien changé.

Hors ligne

#52 12-10-2017 01:40:33

Antic Bomber
Adhérent(e)
Lieu : O.P-O.66
Distrib. : jessie 8.6 & backports
Noyau : Linux 3.16.0.4 amd64
(G)UI : xfce
Inscription : 10-08-2014

Re : Les paquets cassés de VLC [RESOLU]

Salut Gedeon54,

là je coince !

avec mon sources-liste, son et vidéo impec !

# deb cdrom:[Debian GNU/Linux 8 _Jessie_ - Official Snapshot amd64 LIVE/INSTALL Binary 20150607-23:26]/ jessie contrib main non-free

# deb cdrom:[Debian GNU/Linux 8 _Jessie_ - Official Snapshot amd64 LIVE/INSTALL Binary 20150607-23:26]/ jessie contrib main non-free

deb http://ftp.fr.debian.org/debian/ jessie main
deb-src http://ftp.fr.debian.org/debian/ jessie main

deb http://security.debian.org/ jessie/updates main contrib non-free
deb-src http://security.debian.org/ jessie/updates main contrib non-free

# jessie-updates, previously known as 'volatile'
deb http://ftp.fr.debian.org/debian/ jessie-updates main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ jessie-updates main contrib non-free

# jessie-backports
deb http://ftp.fr.debian.org/debian/ jessie-backports main contrib non-free

 


Si le problème a une solution, il ne sert à rien de s’inquiéter. Mais s'il n'en a pas, alors s'inquiéter ne change rien. (Proverbe Tibétain)

La connaissance s'acquiert par l'expérience, tout le reste n'est que de l'information.  Albert Einstein

Hors ligne

#53 12-10-2017 06:33:46

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : Les paquets cassés de VLC [RESOLU]

Oui Gedeon54 il faut trouver le(s) paquet(s) qui vient du dépôt multimédia et cause ce souci d'où ma proposition de commande post 49 qui ne va peut être pas tomber juste du premier coup !
J'ai déjà vu une commande qui permettait de lister les paquets venant des dépôts extérieurs mais je ne la connais, il faut la retrouver dans un fil.
Je crois qu'il ne faut pas te contenter de dire tant pis j'utilise parole car tu risques dans le futur d'avoir d'autres problèmes de ce genre sad

Hors ligne

#54 12-10-2017 09:38:15

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 3.16.0-4-amd64 - 3.16.39-1
(G)UI : gnome 1:3.14+3
Inscription : 21-10-2008

Re : Les paquets cassés de VLC [RESOLU]

chalu a écrit :

J'ai déjà vu une commande qui permettait de lister les paquets venant des dépôts extérieurs


Peut-être avec aptitude :
https://debian-facile.org/doc:systeme:a … n-logiciel roll


"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#55 12-10-2017 10:15:54

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-3-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : Les paquets cassés de VLC [RESOLU]

Bonjour
Une purge de vlc avait été tenté ? j'ai survolé les messages et j'ai rien vu

apt purge vlc


apt-get clean


banner223x19.png, WikiDF-->Découvrir les principales commandes Linux
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#56 12-10-2017 10:46:39

Gedeon54
Membre
Distrib. : Handylinux 2.5 sous Debian 9 (Stretch)
Noyau : 4.9.0-3-amd64
(G)UI : XFCE + Gnome Shell
Inscription : 13-05-2017

Re : Les paquets cassés de VLC [RESOLU]

Bonjour !
En réponse à Croutons: oui, un "nettoyage" a bien été effectué. Sans résultat.
Pour Chalu: voici la réponse, suite à ton post #49. (à noter que j'ai bien désactivé les deux lignes multimedia.org dans mon sources list !)

vlc-bin:
  Installé : (aucun)
  Candidat : 2.2.6-1~deb9u1
 Table de version :
     2.2.6-1~deb9u1 500
        500 http://deb.debian.org/debian stretch/main amd64 Packages
libc6:
  Installé : 2.24-11+deb9u1
  Candidat : 2.24-11+deb9u1
 Table de version :
 *** 2.24-11+deb9u1 500
        500 http://deb.debian.org/debian stretch/main amd64 Packages
        500 http://security.debian.org stretch/updates/main amd64 Packages
        100 /var/lib/dpkg/status
libvlc-bin:
  Installé : 1:3.0~git20170910.git2a210f48d3-dmo1
  Candidat : 1:3.0~git20170910.git2a210f48d3-dmo1
 Table de version :
 *** 1:3.0~git20170910.git2a210f48d3-dmo1 100
        100 /var/lib/dpkg/status
     2.2.6-1~deb9u1 500
        500 http://deb.debian.org/debian stretch/main amd64 Packages
libvlc5:
  Installé : 1:3.0~git20170910.git2a210f48d3-dmo1
  Candidat : 1:3.0~git20170910.git2a210f48d3-dmo1
 Table de version :
 *** 1:3.0~git20170910.git2a210f48d3-dmo1 100
        100 /var/lib/dpkg/status
     2.2.6-1~deb9u1 500
        500 http://deb.debian.org/debian stretch/main amd64 Packages
 



Pour Smolski: voici un retour avec "aptitude why-not vlc":

sudo aptitude why-not vlc
[sudo] mot de passe pour fred :      
i   libvlc-dev  Dépend libvlc5 (= 1:3.0~git20170910.git2a210f48d3-dmo1)
i A libvlc5     Dépend libvlccore8                                    
i A libvlccore8 Casse  vlc (< 1:3.0~git20161017-dmo1)

Dernière modification par Gedeon54 (12-10-2017 10:53:53)

Hors ligne

#57 12-10-2017 13:12:49

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : Les paquets cassés de VLC [RESOLU]

Oui tu as des restes de paquets de vlc provenant du dépôt multimédia qui sont à supprimer et non smolski je crois que c'est avec un outil installé de base
Il me semble que c'est bendia qui avait donné cette commande.

sudo apt purge libvlc-bin  libvlc5


sudo apt purge libvlccore8


sudo apt clean


sudo apt autoremove


Pour cette dernière commande avant de valider, regarde bien les paquets qui vont être désinstallés (il faut que ce soit des paquets liés à vlc ou à des logiciels que tu as désinstallés), n'hésite pas à demander avec copier coller du retour au moindre doute.

Edit : Tu es sûr d'avoir désactivé les dépôts multimédia ?
Donne le retour aussi après les commandes précédentes de

sudo apt -s install vlc


Merci de donner l'intégralité du retour sans tronquer smile

Edit 2 : pour connaître les paquets du dépôts multimédia, on peut tenter (ça ne modifie pas le système, c'est juste une consultation)

dpkg-query -l | grep "dmo"


J'ai noté que la très grande majorité des paquets de deb-multimedia étaient avec "dmo" dans leur version et ça n'existe pas sur les dépôts officiels Debian.

Hors ligne

#58 12-10-2017 20:57:47

Debian Alain
Membre
Lieu : BREST 29200
Distrib. : win10 / stretch / ubuntu 17.04 / buster-sid
Noyau : Linux 4.12.0-2-amd64 (stretch)
(G)UI : GNOME 3.22.2 (stretch) 3.26.0 (buster)
Inscription : 11-03-2017

Re : Les paquets cassés de VLC [RESOLU]

je soumets ceci à la sagacité de chalu et si ça peut aider gedeon54 , tant mieux .

https://forums.linuxmint.com/viewtopic.php?t=227270

le point 7 , le dernier , est propre à linux mint , donc en cas  d'erreurs , c'est normal .

en fait , au point 7 , il faut taper

sudo apt install $rmfiles

mais ce n'est pas obligatoire . en fait , tout est important jusqu'au point 6 inclus .

et ne pas hésiter à poster les retours . un peu de parano n'a jamais fait de mal .

Dernière modification par Debian Alain (13-10-2017 17:35:58)


1498826560.jpg 1498812139.jpg Bip ! Bip !

Hors ligne

#59 12-10-2017 22:09:12

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 3.16.0-4-amd64 - 3.16.39-1
(G)UI : gnome 1:3.14+3
Inscription : 21-10-2008

Re : Les paquets cassés de VLC [RESOLU]

Debian Alain a écrit :

en fait , au point 7 , il faut taper


character0264.gif


"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#60 12-10-2017 23:15:33

Debian Alain
Membre
Lieu : BREST 29200
Distrib. : win10 / stretch / ubuntu 17.04 / buster-sid
Noyau : Linux 4.12.0-2-amd64 (stretch)
(G)UI : GNOME 3.22.2 (stretch) 3.26.0 (buster)
Inscription : 11-03-2017

Re : Les paquets cassés de VLC [RESOLU]

merci smolski .   smile

à titre indicatif , sous buster , tous mes " dmo " sont remplacés par des paquets officiels . je n'en ai plus aucun . smile

sous stretch , par contre , ayant dû réinstaller avidemux (me demandez pas pourquoi il semblait avoir été désinstallé ) scratchhead.gif

j'obtiens ceci :  cool

 dpkg-query -l | grep dmo



ii  avidemux                                  1:2.7.0-dmo1~bpo9+3                         amd64        Free video editor
ii  avidemux-common                           1:2.7.0-dmo1~bpo9+3                         all          Free video editor (Internationalization files)
ii  avidemux-plugins                          1:2.7.0-dmo1~bpo9+3                         amd64        Free video editor (plugins)
ii  avidemux-qt                               1:2.7.0-dmo1~bpo9+3                         amd64        Free video editor (QT version)
ii  lame                                      1:3.99.5-dmo6                               amd64        Open source MP3 encoder
ii  libaften0:amd64                           0.0.8svn20100103-dmo2                       amd64        audio AC3 encoder - runtime files
ii  libass9:amd64                             2:0.13.7-dmo1                               amd64        library for SSA/ASS subtitles rendering
ii  libfaac0:amd64                            1:1.28-dmo5                                 amd64        AAC audio encoder - library files.
ii  libfdk-aac1:amd64                         1:0.1.5-dmo2                                amd64        Fraunhofer FDK AAC codec library.
ii  liblavfile-2.1-0:amd64                    2:2.1.0-dmo9                                amd64        MJPEG capture/editing/replay and MPEG encoding toolset (library)
ii  liblavjpeg-2.1-0:amd64                    2:2.1.0-dmo9                                amd64        MJPEG capture/editing/replay and MPEG encoding toolset (library)
ii  liblavplay-2.1-0:amd64                    2:2.1.0-dmo9                                amd64        MJPEG capture/editing/replay and MPEG encoding toolset (library)
ii  libmp3lame0:amd64                         1:3.99.5-dmo6                               amd64        Shared libraries for MP3 encoding
ii  libmp4v2-2:amd64                          2:2.0.0-dmo4                                amd64        MP4 container library - runtime files
ii  libx264-152:amd64                         3:0.152.2851+gitba24899-dmo1~bpo9+1         amd64        x264 video coding library
ii  libx265-130:amd64                         1:2.5-dmo1~bpo9+1                           amd64        x265 video coding library
ii  mjpegtools                                2:2.1.0-dmo9                                amd64        MJPEG video capture/editting/playback MPEG encoding
ii  twolame                                   1:0.3.13-dmo3                               amd64        MPEG Audio Layer 2 encoder (command line frontend)
 



où l'on voit que j'ai avidemux  , le MP3 , l'AC3 , l'AAC , le MP4 , le x264 , le x265 , le MPEG2 entre autres .

beaucoup moins  qu'au départ  big_smile . mais comme j'ai pas enregistré $rmfiles , tout est perdu  sad  . je ne peux donc pas  vous communiquer les  données passées .
tongue

deuxième tentative : en retirant avidemux :  scratchhead.gif

alain@Alain-PC:~$

dpkg -l | grep dmo


bloc à supprimer si la commande n’affiche rien



plus aucun paquet " dmo " et tout fonctionne impec !  merci.gif

et pour éviter les surprises ultérieures , j'ai toujours :

alain@Alain-PC:~$

apt policy



Fichiers du paquet :
100 /var/lib/dpkg/status
     release a=now
100 http://download.opensuse.org/repositories/home:/smplayerdev/Debian_9.0  Packages
     release o=obs://build.opensuse.org/home:smplayerdev/Debian_9.0,n=Debian_9.0,l=home:smplayerdev,c=
     origin download.opensuse.org
100 http://www.deb-multimedia.org stretch-backports/main i386 Packages
     release v=9.2,o=Unofficial Multimedia Packages,a=stable-backports,n=stretch-backports,l=Unofficial Multimedia Packages,c=main,b=i386
     origin www.deb-multimedia.org
100 http://www.deb-multimedia.org stretch-backports/main amd64 Packages
     release v=9.2,o=Unofficial Multimedia Packages,a=stable-backports,n=stretch-backports,l=Unofficial Multimedia Packages,c=main,b=amd64
     origin www.deb-multimedia.org
100 http://www.deb-multimedia.org stretch/non-free i386 Packages
     release v=9.2,o=Unofficial Multimedia Packages,a=stable,n=stretch,l=Unofficial Multimedia Packages,c=non-free,b=i386
     origin www.deb-multimedia.org
100 http://www.deb-multimedia.org stretch/non-free amd64 Packages
     release v=9.2,o=Unofficial Multimedia Packages,a=stable,n=stretch,l=Unofficial Multimedia Packages,c=non-free,b=amd64
     origin www.deb-multimedia.org
100 http://www.deb-multimedia.org stretch/main i386 Packages
     release v=9.2,o=Unofficial Multimedia Packages,a=stable,n=stretch,l=Unofficial Multimedia Packages,c=main,b=i386
     origin www.deb-multimedia.org
100 http://www.deb-multimedia.org stretch/main amd64 Packages
     release v=9.2,o=Unofficial Multimedia Packages,a=stable,n=stretch,l=Unofficial Multimedia Packages,c=main,b=amd64
     origin www.deb-multimedia.org
100 http://deb.debian.org/debian stretch-backports/non-free i386 Packages
     release o=Debian Backports,a=stretch-backports,n=stretch-backports,l=Debian Backports,c=non-free,b=i386
     origin deb.debian.org
100 http://deb.debian.org/debian stretch-backports/non-free amd64 Packages
     release o=Debian Backports,a=stretch-backports,n=stretch-backports,l=Debian Backports,c=non-free,b=amd64
     origin deb.debian.org
100 http://deb.debian.org/debian stretch-backports/contrib i386 Packages
     release o=Debian Backports,a=stretch-backports,n=stretch-backports,l=Debian Backports,c=contrib,b=i386
     origin deb.debian.org
100 http://deb.debian.org/debian stretch-backports/contrib amd64 Packages
     release o=Debian Backports,a=stretch-backports,n=stretch-backports,l=Debian Backports,c=contrib,b=amd64
     origin deb.debian.org
100 http://deb.debian.org/debian stretch-backports/main i386 Packages
     release o=Debian Backports,a=stretch-backports,n=stretch-backports,l=Debian Backports,c=main,b=i386
     origin deb.debian.org
100 http://deb.debian.org/debian stretch-backports/main amd64 Packages
     release o=Debian Backports,a=stretch-backports,n=stretch-backports,l=Debian Backports,c=main,b=amd64
     origin deb.debian.org
500 http://deb.debian.org/debian stretch-updates/main i386 Packages
     release o=Debian,a=stable-updates,n=stretch-updates,l=Debian,c=main,b=i386
     origin deb.debian.org
500 http://deb.debian.org/debian stretch-updates/main amd64 Packages
     release o=Debian,a=stable-updates,n=stretch-updates,l=Debian,c=main,b=amd64
     origin deb.debian.org
500 http://security.debian.org stretch/updates/non-free i386 Packages
     release v=9,o=Debian,a=stable,n=stretch,l=Debian-Security,c=non-free,b=i386
     origin security.debian.org
500 http://security.debian.org stretch/updates/non-free amd64 Packages
     release v=9,o=Debian,a=stable,n=stretch,l=Debian-Security,c=non-free,b=amd64
     origin security.debian.org
500 http://security.debian.org stretch/updates/contrib i386 Packages
     release v=9,o=Debian,a=stable,n=stretch,l=Debian-Security,c=contrib,b=i386
     origin security.debian.org
500 http://security.debian.org stretch/updates/contrib amd64 Packages
     release v=9,o=Debian,a=stable,n=stretch,l=Debian-Security,c=contrib,b=amd64
     origin security.debian.org
500 http://security.debian.org stretch/updates/main i386 Packages
     release v=9,o=Debian,a=stable,n=stretch,l=Debian-Security,c=main,b=i386
     origin security.debian.org
500 http://security.debian.org stretch/updates/main amd64 Packages
     release v=9,o=Debian,a=stable,n=stretch,l=Debian-Security,c=main,b=amd64
     origin security.debian.org
500 http://deb.debian.org/debian stretch/non-free i386 Packages
     release v=9.2,o=Debian,a=stable,n=stretch,l=Debian,c=non-free,b=i386
     origin deb.debian.org
500 http://deb.debian.org/debian stretch/non-free amd64 Packages
     release v=9.2,o=Debian,a=stable,n=stretch,l=Debian,c=non-free,b=amd64
     origin deb.debian.org
500 http://deb.debian.org/debian stretch/contrib i386 Packages
     release v=9.2,o=Debian,a=stable,n=stretch,l=Debian,c=contrib,b=i386
     origin deb.debian.org
500 http://deb.debian.org/debian stretch/contrib amd64 Packages
     release v=9.2,o=Debian,a=stable,n=stretch,l=Debian,c=contrib,b=amd64
     origin deb.debian.org
500 http://deb.debian.org/debian stretch/main i386 Packages
     release v=9.2,o=Debian,a=stable,n=stretch,l=Debian,c=main,b=i386
     origin deb.debian.org
500 http://deb.debian.org/debian stretch/main amd64 Packages
     release v=9.2,o=Debian,a=stable,n=stretch,l=Debian,c=main,b=amd64
     origin deb.debian.org
Paquets épinglés :
 



voilà !   woohoo.gif

Edit à toto :

Mis la commande seule dans son bloc Commande user.

Dernière modification par Debian Alain (13-10-2017 08:06:37)


1498826560.jpg 1498812139.jpg Bip ! Bip !

Hors ligne

#61 13-10-2017 10:59:42

Gedeon54
Membre
Distrib. : Handylinux 2.5 sous Debian 9 (Stretch)
Noyau : 4.9.0-3-amd64
(G)UI : XFCE + Gnome Shell
Inscription : 13-05-2017

Re : Les paquets cassés de VLC [RESOLU]

Et la lumière fut !idea.gif
Bonne nouvelle: VLC est enfin de retour !!  mwahaha.gif Chalu a trouvé ce qui bloquait sa réinstallation, à savoir ces 3 paquets: libvlccore8, libvlc-bin et libvlc5 qui n'avaient pas été désinstallés. Après cette purge radicale, et avoir suivi ses conseils, j'ai pu faire une install propre de VLC, mon lecteur favori.
Alors merci à tous pour votre soutien, votre sagacité, votre persévérance alors que je n'y croyais plus moi-même.
Si la clé a été trouvée par Chalu, tous les autres (Debian Alain, Crouton, Smolski..) m'ont ouvert sur l'univers Debian. yes.gif  Une dernière question avant de conclure et passer en résolu: que faire avec ces dépôts deb.multimédia qui peuvent s'avérer utiles et actuellement mis entre parenthèses?  Les remettre en place ou les laisser en stand-by..et lesquels surtout? ??? coyotus.png

Hors ligne

#62 13-10-2017 11:48:57

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-3-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : Les paquets cassés de VLC [RESOLU]

Je te conseillerais de commenter le dépôt multimedia tant que le problème de priorité n'est pas réglé
D'ailleur meme avec un fichier prefererence opérationnel je préfère le désactiver sinon tu reçois plein de mise a jour qui ne sont pas indispensable au système

banner223x19.png, WikiDF-->Découvrir les principales commandes Linux
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#63 13-10-2017 12:25:10

Debian Alain
Membre
Lieu : BREST 29200
Distrib. : win10 / stretch / ubuntu 17.04 / buster-sid
Noyau : Linux 4.12.0-2-amd64 (stretch)
(G)UI : GNOME 3.22.2 (stretch) 3.26.0 (buster)
Inscription : 11-03-2017

Re : Les paquets cassés de VLC [RESOLU]

jen suis d'accord avec croutons .

en l'abscence de pinning , commentes donc les sources de  deb-multimedia .

après , tu feras un post spécial pour ton problème de  pinning .

chalu , bendia , smolski , croutons , râleur , etc... se feront un plaisir de t'aider .

quand à moi , je me ferai une joie d'assister à la résolution de ton problème .

si tu veux bien .


Alain

1498826560.jpg 1498812139.jpg Bip ! Bip !

Hors ligne

#64 13-10-2017 13:08:13

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : Les paquets cassés de VLC [RESOLU]

Garde les dépôts multimédia commentés
Avec la commande donnée tu peux savoir si tu as beaucoup de paquets issus de ce dépôt.
Si comme pour vlc, le paquet existe dans les dépôts officiels je supprimerais pour installer le paquet des dépôts officiels.
Si un logiciel existe seulement dans le dépôt multimédia alors tu pourrais le garder mais seulement si tu arrives à avoir un fichier de pinning qui fonctionne car sinon à la première mise à jour ce sera le bazar, vlc repassera sur le dépôt multimédia et tu pourras retrouver les mêmes conflits.

N'oublie pas de passer ce fil en résolu et si tu veux tu crées un nouveau fil pour le pinning

Hors ligne

#65 13-10-2017 13:28:57

Debian Alain
Membre
Lieu : BREST 29200
Distrib. : win10 / stretch / ubuntu 17.04 / buster-sid
Noyau : Linux 4.12.0-2-amd64 (stretch)
(G)UI : GNOME 3.22.2 (stretch) 3.26.0 (buster)
Inscription : 11-03-2017

Re : Les paquets cassés de VLC [RESOLU]

bon à savoir :

http://linuxfr.org/news/attention-au-de … imedia-org

https://linuxfr.org/users/patrick_g/jou … imedia-org

j'y croyais pas , mais , au vu de ce qui est arrivé à gédéon54 , je prends mes précautions :

mise à jour des paquets , mise à jour des dépôts , création d'un fichier de pinning .

maintenant , mes systemes sont quasi neufs . tout est ok .

Dernière modification par Debian Alain (13-10-2017 13:35:20)


1498826560.jpg 1498812139.jpg Bip ! Bip !

Hors ligne

#66 13-10-2017 17:01:51

Gedeon54
Membre
Distrib. : Handylinux 2.5 sous Debian 9 (Stretch)
Noyau : 4.9.0-3-amd64
(G)UI : XFCE + Gnome Shell
Inscription : 13-05-2017

Re : Les paquets cassés de VLC [RESOLU]

Ok, je vais laisser kes dépôts mutimédias commentés pour l'instant; je me suis "amusé " à relever tout ce qui dépendait des dépôts multimédias...Houla.. ça fait peur..la liste est très longue.. Ce qui augmente mon inquiétude car plus mis à jour, certains vont devenir obsolètes: je pense notamment au flash player chromium nécessaire pour écouter Deezer par exemple! jetez un œil pour voir !

$ dpkg-query -l | grep "dmo"
ii  audacious                                                   1:3.8.2-dmo1                                amd64        Small and fast audio player which supports lots of formats
ii  audacious-plugins:amd64                                     1:3.8.2-dmo1                                amd64        Base plugins for audacious.
ii  audacious-plugins-data                                      1:3.8.2-dmo1                                all          Data files for Audacious plugins.
ii  easytag                                                     1:2.4.3-dmo1                                amd64        Viewing, editing and writing ID3 tags.
ii  faac                                                        1:1.28-dmo5                                 amd64        AAC audio encoder.
ii  ffmpeg                                                      10:3.3.4-dmo2~bpo9+1                        amd64        audio/video encoder, streaming server & audio/video file converter
ii  flashplayer-chromium                                        27.0.0.130-dmo1                             amd64        Flash Player for Chromium (Pepper)
ii  gstreamer0.10-ffmpeg:amd64                                  1:0.10.13-dmo2                              amd64        FFmpeg plugin for GStreamer
ii  gstreamer1.0-libav:amd64                                    1:1.12.1-dmo1                               amd64        FFmpeg plugin for GStreamer
ii  gstreamer1.0-plugins-bad:amd64                              1:1.10.4-dmo2                               amd64        GStreamer plugins from the "bad" set
ii  gstreamer1.0-plugins-ugly:amd64                             1:1.12.1-dmo1                               amd64        GStreamer plugins from the "ugly" set
ii  lame                                                        1:3.99.5-dmo6                               amd64        Open source MP3 encoder
ii  libaacplus2:amd64                                           2.0.2-dmo5                                  amd64        AAC+ encoding library - runtime files
ii  libasound2-plugins:amd64                                    1:1.1.4-dmo1                                amd64        ALSA library additional plugins
ii  libass9:amd64                                               2:0.13.7-dmo1                               amd64        library for SSA/ASS subtitles rendering
ii  libaudclient2                                               3.5~rc2-dmo2                                amd64        Audacious D-Bus remote control library.
rc  libaudcore3:amd64                                           1:3.6.1-dmo3                                amd64        Audacious core engine library
ii  libaudcore4:amd64                                           1:3.8.2-dmo1                                amd64        Audacious core engine library
ii  libaudgui4:amd64                                            1:3.8.2-dmo1                                amd64        Audacious libaudgui shared library
ii  libaudtag3:amd64                                            1:3.8.2-dmo1                                amd64        Audacious libaudtag shared library
ii  libavcodec-dev:amd64                                        10:3.3.4-dmo2~bpo9+1                        amd64        Library to encode decode multimedia streams - devel files
ii  libavcodec56:amd64                                          10:2.6.9-dmo1                               amd64        Library to encode decode multimedia streams - runtime files
ii  libavcodec57:amd64                                          10:3.3.4-dmo2~bpo9+1                        amd64        Library to encode decode multimedia streams - runtime files
rc  libavdevice56:amd64                                         10:2.6.9-dmo1                               amd64        FFmpeg device handling library
ii  libavdevice57:amd64                                         10:3.3.4-dmo2~bpo9+1                        amd64        FFmpeg library for handling input and output devices - runtime files
rc  libavfilter5:amd64                                          10:2.6.9-dmo1                               amd64        FFmpeg filter library
ii  libavfilter6:amd64                                          10:3.3.4-dmo2~bpo9+1                        amd64        FFmpeg filter library
ii  libavformat56:amd64                                         10:2.6.9-dmo1                               amd64        FFmpeg file format library
ii  libavformat57:amd64                                         10:3.3.4-dmo2~bpo9+1                        amd64        FFmpeg file format library
rc  libavresample2:amd64                                        10:2.6.9-dmo1                               amd64        FFmpeg audio conversion library
ii  libavresample3:amd64                                        10:3.3.4-dmo2~bpo9+1                        amd64        FFmpeg compatibility library for resampling - runtime files
ii  libavutil-dev:amd64                                         10:3.3.4-dmo2~bpo9+1                        amd64        FFmpeg avutil devel files - devel files
ii  libavutil54:amd64                                           10:2.6.9-dmo1                               amd64        FFmpeg avutil library - runtime files
ii  libavutil55:amd64                                           10:3.3.4-dmo2~bpo9+1                        amd64        FFmpeg avutil library - runtime files
ii  libbabl-0.1-0:amd64                                         1:0.1.28-dmo1                               amd64        Dynamic, any to any, pixel format conversion library
rc  libbasicusageenvironment0                                   2:2015.03.19-dmo1                           amd64        multimedia RTSP streaming library (BasicUsageEnvironment class)
ii  libbluray1:amd64                                            2:0.7.0-dmo1                                amd64        Blu-ray disc playback support library (shared library)
ii  libbluray2:amd64                                            2:1.0.1-dmo1                                amd64        Blu-ray disc playback support library (shared library)
rc  libchromaprint0:amd64                                       1.2-dmo2                                    amd64        Audio fingerprint library
ii  libchromaprint1:amd64                                       1:1.4.2-dmo1                                amd64        Audio fingerprint library
ii  libdca0:amd64                                               0.0.5-dmo2+deb8u1                           amd64        decoding library for DTS Coherent Acoustics streams
rc  libdvbpsi9:amd64                                            1.2.0-dmo1                                  amd64        library for MPEG TS and DVB PSI tables decoding and generating
ii  libdvdcss2:amd64                                            1.4.0-dmo1                                  amd64        Simple foundation for reading DVDs - runtime libraries
rc  libebml4:amd64                                              1.3.1-dmo2                                  amd64        Access library for the EBML format (shared library)
ii  libfaac0:amd64                                              1:1.28-dmo5                                 amd64        AAC audio encoder - library files.
ii  libfdk-aac1:amd64                                           1:0.1.5-dmo2                                amd64        Fraunhofer FDK AAC codec library.
rc  libffmpegthumbnailer4:amd64                                 2.0.8-dmo7                                  amd64        Shared library for ffmpegthumbnailer
ii  libffmpegthumbnailer4v5:amd64                               1:2.2.0-dmo4                                amd64        Shared library for ffmpegthumbnailer
rc  libgegl-0.2-0:amd64                                         1:0.2.0-dmo8                                amd64        Generic Graphics Library.
ii  libgegl-0.3-0:amd64                                         1:0.3.18-dmo1                               amd64        Generic Graphics Library.
rc  libgroupsock4                                               2:2015.03.19-dmo1                           amd64        multimedia RTSP streaming library (network interfaces and sockets)
ii  libgstreamer-plugins-bad1.0-0:amd64                         1:1.10.4-dmo2                               amd64        GStreamer development files for libraries from the "bad" set
ii  libgstreamer-plugins-bad1.0-dev                             1:1.10.4-dmo2                               amd64        GStreamer development files for libraries from the "bad" set
rc  libguess1:amd64                                             1.2-dmo2+deb8u1                             amd64        High-speed character set detection library.
ii  libilbc2:amd64                                              2.0.2-dmo4                                  amd64        iLBC codec - shared library
ii  libkvazaar3:amd64                                           1:1.1.0-dmo1                                amd64        Open-source HEVC encoder - shared library
rc  liblivemedia42                                              2:2015.03.19-dmo1                           amd64        multimedia RTSP streaming library
ii  libloudmouth1-0:amd64                                       1.5.3-2                                     amd64        Lightweight C Jabber library
rc  libmatroska6:amd64                                          1.4.2-dmo3                                  amd64        Extensible open standard audio/video container format (shared library)
ii  libmfx0:amd64                                               1.21-dmo1                                   amd64        Intel media sdk dispatcher - runtime files
ii  libmjpegutils-2.1-0:amd64                                   2:2.1.0-dmo9                                amd64        MJPEG capture/editing/replay and MPEG encoding toolset (library)
ii  libmp3lame0:amd64                                           1:3.99.5-dmo6                               amd64        Shared libraries for MP3 encoding
rc  libmp3splt0                                                 0.9.2-dmo1+deb8u1                           amd64        Library for splitting MP3 and Ogg Vorbis files
ii  libmp4v2-2:amd64                                            2:2.0.0-dmo4                                amd64        MP4 container library - runtime files
ii  libmpeg2encpp-2.1-0:amd64                                   2:2.1.0-dmo9                                amd64        MJPEG capture/editing/replay and MPEG encoding toolset (library)
ii  libmplex2-2.1-0:amd64                                       2:2.1.0-dmo9                                amd64        MJPEG capture/editing/replay and MPEG encoding toolset (library)
ii  libnfs8:amd64                                               1.11.0-dmo1                                 amd64        NFS client library (shared library)
ii  libopenh264-2:amd64                                         1.6.0-dmo3                                  amd64        H.264 encoder/decoder from Cisco - shared library
ii  libopenh264-4:amd64                                         1.7.0-dmo1~bpo9+3                           amd64        H.264 encoder/decoder from Cisco - shared library
rc  libpostproc53:amd64                                         10:2.6.9-dmo1                               amd64        postproc shared libraries
ii  libpostproc54:amd64                                         10:3.3.4-dmo2~bpo9+1                        amd64        postproc shared libraries
ii  librtmp1:amd64                                              2:2.4~20160119.gitfa8646dae-dmo5            amd64        Toolkit for RTMP streams (shared library)
ii  libswresample-dev:amd64                                     10:3.3.4-dmo2~bpo9+1                        amd64        FFmpeg library for audio resampling, rematrixing etc. - development files
ii  libswresample1:amd64                                        10:2.6.9-dmo1                               amd64        FFmpeg audio rescaling library
ii  libswresample2:amd64                                        10:3.3.4-dmo2~bpo9+1                        amd64        FFmpeg library for audio resampling, rematrixing etc. - runtime files
rc  libswscale3:amd64                                           10:2.6.9-dmo1                               amd64        FFmpeg video scaling library
ii  libswscale4:amd64                                           10:3.3.4-dmo2~bpo9+1                        amd64        FFmpeg library for image scaling and various conversions - runtime files
ii  libtwolame0:amd64                                           1:0.3.13-dmo3                               amd64        MPEG Audio Layer 2 encoding library
rc  libusageenvironment2                                        2:2015.03.19-dmo1                           amd64        multimedia RTSP streaming library (UsageEnvironment classes)
ii  libutvideo15:amd64                                          15.1.0-dmo2                                 amd64        Ut Video Codec Suite library
ii  libvidstab1.0                                               2:0.98b-dmo1+deb8u1                         amd64        Video stabilization library.
ii  libx264-146:amd64                                           3:0.146.2538+git121396c-dmo2                amd64        x264 video coding library
ii  libx264-150:amd64                                           3:0.150.2833+gitdf79067-dmo1                amd64        x264 video coding library
ii  libx264-152:amd64                                           3:0.152.2851+gitba24899-dmo1~bpo9+1         amd64        x264 video coding library
ii  libx265-116:amd64                                           1:2.4-dmo1                                  amd64        x265 video coding library
ii  libx265-130:amd64                                           1:2.5-dmo1~bpo9+1                           amd64        x265 video coding library
ii  libx265-51:amd64                                            1.6-dmo1                                    amd64        x265 video coding library
ii  libxvidcore4:amd64                                          3:1.3.4-dmo1                                amd64        High quality ISO MPEG4 codec library
ii  mpd                                                         1:0.19.21-dmo4                              amd64        Music Player Daemon
ii  mpv                                                         1:0.27.0-dmo1~bpo9+1                        amd64        Free and open-source general-purpose video player
rc  vlc-nox                                                     1:2.2.6-dmo2                                amd64        transitional dummy package
ii  x11proto-xf86vidmode-dev                                    2.3.1-2                                     all          X11 Video Mode extension wire protocol
 fred@handylinux ~
 $
 


bloc à supprimer si la commande n’affiche rien

Hors ligne

#67 13-10-2017 17:43:05

Debian Alain
Membre
Lieu : BREST 29200
Distrib. : win10 / stretch / ubuntu 17.04 / buster-sid
Noyau : Linux 4.12.0-2-amd64 (stretch)
(G)UI : GNOME 3.22.2 (stretch) 3.26.0 (buster)
Inscription : 11-03-2017

Re : Les paquets cassés de VLC [RESOLU]

tu as vu mon lien au post #58 ?

je te le remets ici  :  https://forums.linuxmint.com/viewtopic.php?t=227270

demandes à chalu de t'aider .

normalement , si tu le suis bien , tout est ok au point 7 que tu n'es pas obligé de suivre vu qu'il est pour mint .

ubuntu est basé sur debian et mint est basé sur ubuntu donc debian .

toutes les commandes sont bonnes . je l'ai moi même essayé .

mais je te comprends . on a parfois des surprises avec deb-multimedia . en tout cas , moi j'en ai eu .

ton listing n'est pas très important je te rassure . il y a pire .

maintenant , n'étant pas un " afficionado " du remplacement de paquets , je préfère laisser faire les  pros .

et puis , dans ton cas , je te conseille d'avoir le coeur solide , tu risque d'avoir des émotions en voyant l'écran .

si tu fais bien ce qu'on te dit , c'est sans risque .

Dernière modification par Debian Alain (13-10-2017 18:37:56)


1498826560.jpg 1498812139.jpg Bip ! Bip !

Hors ligne

#68 13-10-2017 19:19:29

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : Les paquets cassés de VLC [RESOLU]

Je ne suis pas spécialiste de ce genre de situation wink je n'utilise même de dépôt externe.
Pour flash effectivement il faut le mettre à jour, ça peut se faire à la main ou avec le dépôt multimédia si on veut que ce soit automatique mais à condition d'avoir un fichier de pinning qui marche ce qui n'était pas ton cas Gedeon54.
Je peux juste t'indiquer ce que je ferais à ta place, je supprimerais ces paquets pour installer les versions officielles Debian stable. Debian Alain t'a donné la marche à suivre.
Ensuite à cause de flash, je ferais un fichier de pinning. On peut en faire un pour le suivi d'un seul paquet, ça devrait être (sous réserve d'avoir compris le wiki)


Package: flashplayer-chromium
Pin: origin "www.deb-multimedia.org"
Pin-Priority: 500

Package: *
Pin: origin "www.deb-multimedia"
Pin-Priority: 90


Ce probleme ici étant résolu pour vlc, indique le et si tu veux régler cette histoire de pinning, commence un autre fil dessus smile

Hors ligne

Pied de page des forums